package bus.controller.biz;

import bus.model.dto.BAdvertDto;
import bus.model.dto.BAdvertPageDto;
import bus.model.po.BAdvertPo;
import bus.service.BAdvertService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageSerializable;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.qzwisdom.qzframework.core.tool.base.controller.BaseController;



/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-06 22:43:31
 **/
@Slf4j
@CrossOrigin
@RestController
@Api(tags = "广告管理接口")
@RequestMapping(value="/bAdvert")
public class BAdvertController implements BaseController {

    @Autowired
    private BAdvertService bAdvertService;



    /**
     * 详情
     * @param id
     * @return
     */
    @ApiOperation("详情")
    @GetMapping(value = "getDetailById")
    public BAdvertPo getDetailById(@RequestParam String id){
        return bAdvertService.getDetailById(id);
    }

	/**
     * 保存
     * @param dto
     * @return
     */
    @ApiOperation("保存")
    @PostMapping(value = "save")
    public String save(@RequestBody BAdvertDto dto){
		bAdvertService.save(dto);
        return "保存成功";
    }

    /**
    * 列表
    * @param dto
    * @return
    */
    @ApiOperation("列表")
    @PostMapping(value = "list")
    public PageSerializable<BAdvertPo> list(@RequestBody BAdvertPageDto dto){
       PageHelper.startPage(dto.getPageNum(),dto.getPageSize());
       return new PageSerializable<>(bAdvertService.list(dto));
    }

	/**
     * 修改
     * @param dto
     * @return
     */
    @ApiOperation("修改")
    @PostMapping(value = "update")
    public String update(@RequestBody BAdvertDto dto){
		bAdvertService.update(dto);
        return "修改成功";
    }

	/**
     * 删除
     * @param id
     * @return
     */
    @ApiOperation("删除")
    @GetMapping(value = "deleteById")
    public String deleteById(@RequestParam String id){
		bAdvertService.delete(id);
        return "删除成功";
    }

}
